package com.persagy.apm.alarmservice.monitorindicator.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;
import java.io.Serializable;
import java.util.Date;

/**
 * 监测指标(MonitorIndicator)实体类
 * @author lixing
 * @version V1.0 2021-09-08 22:44:37
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "监测指标")
public class MonitorIndicator extends AuditableEntity<MonitorIndicator> implements Serializable {
    private static final long serialVersionUID = -53576386032508621L;

    @ApiModelProperty("指标名称")
    private String name;
    
    @ApiModelProperty("设备类")
    private String classCode;

    @ApiModelProperty("单位")
    private String unit;

    public static String PROP_NAME = "name";
    public static String PROP_CLASS_CODE = "class_code";
    public static String PROP_CLASS_UNIT = "unit";

}
